package experimentalcode.tobias._index.sstree;




/**
 * saves the approximations of the childnodes, and the acual pointer to the child nodes.
 * @author emrich
 *
 */
public class NodeEntry<T extends DoubleVector>{	
	//Approximation of the child
	public T centroid;
	public double radius;
	public int totalDataPoints;
	//Actual Data
	public SSNode ssnode;
	
	public NodeEntry(){
	}
	public NodeEntry(T centroid, double radius){
		this.centroid = centroid;
		this.radius = radius;
	}
	public void setSSNode(SSNode ssnode){
		this.ssnode = ssnode;
	}
	public void updateCR(T centroid, double radius){
		this.centroid = centroid;
		this.radius = radius;
	}
}
