package experimentalcode.tobias.TrigonometricPruning.utils;

import experimentalcode.tobias._index.sstree.DoubleVector;


public class Miscellaneous {

    public static DoubleVector plus(DoubleVector fv1, DoubleVector fv2){
		 double[] result = new double[fv1.getDimensionality()];
		 for(int d = 0; d< fv1.getDimensionality() ;d++){
			 result[d] = fv1.getValue(d+1)+fv2.getValue(d+1);
		 }
		 return new DoubleVector(result);
	 }
	 public static DoubleVector minus(DoubleVector fv1, DoubleVector fv2){
		 double[] result = new double[fv1.getDimensionality()];
		 for(int d = 0; d< fv1.getDimensionality() ;d++){
			 result[d] = fv1.getValue(d+1)-fv2.getValue(d+1);
		 }
		 return new DoubleVector(result);
	 }
	 public static DoubleVector scalar(DoubleVector fv, double scalar){
		 double[] result = new double[fv.getDimensionality()];
		 for(int d = 0; d< fv.getDimensionality() ;d++){
			 result[d] = fv.getValue(d+1)*scalar;
		 }
		 return new DoubleVector(result);
	 }
	 public static DoubleVector average(DoubleVector fv1, DoubleVector fv2){
		 return scalar(plus(fv1,fv2),0.5);
	 }
    
}
