package experimentalcode.tobias._index.sstree;

import java.util.Comparator;

public class DistanceObjectTuple implements Comparable<DistanceObjectTuple>{
	public double distance;
	public Object object;
	
	public DistanceObjectTuple(double distance, Object object){
		this.distance = distance;
		this.object = object;
	}

	public static class DesendingComparator implements Comparator<DistanceObjectTuple>{

		public int compare(DistanceObjectTuple a, DistanceObjectTuple b) {
			if(a.distance<b.distance)return 1;
			else if(a.distance>b.distance)return -1;
			else return 0;
		}
	
	}
	public int compareTo(DistanceObjectTuple dot) {
			if(distance<dot.distance)return -1;
			else if(distance>dot.distance)return 1;
			else return 0;
	}
}
