package experimentalcode.tobias._index.helpstructures;

import de.lmu.ifi.dbs.elki.index.tree.spatial.SpatialEntry;

public class EntryScorePair implements Comparable<EntryScorePair> {
  public double score;

  public SpatialEntry entry;

  public EntryScorePair(SpatialEntry entry, double score) {
    this.entry = entry;
    this.score = score;
  }

  @Override
  public int compareTo(EntryScorePair o) {
    if(this.score < o.score) {
      return -1;
    }
    else if(this.score > o.score) {
      return 1;
    }
    else {
      return 0;
    }
  }

}
