package experimentalcode.tobias.rknnjoin.structures;

import de.lmu.ifi.dbs.elki.index.tree.Entry;

public class EntryScorePair<ESP extends EntryScorePair<ESP>> implements Comparable<ESP>{ 
    public double score;
    public Entry entry;
    public EntryScorePair(Entry entry, double score) {
        this.entry=entry;
        this.score=score;
    }

    public int compareTo(ESP target) {
        if (this.score<target.score) return -1;
        else if (this.score>target.score) return 1;
        else return 0;
    }

}
