package experimentalcode.tobias.rknnjoin.structures;


public class ObjectScorePair<O> implements Comparable<ObjectScorePair<O>>{ 
    public double score;
    public O object;
    public ObjectScorePair(O o, double score) {
        object=o;
        this.score=score;
    }

    public int compareTo(ObjectScorePair<O> target) {
        if (this.score<target.score) return -1;
        else if (this.score>target.score) return 1;
        else return 0;
    }


}

