package experimentalcode.tobias.rknnjoin.structures.buffer;

import java.util.ArrayList;

public class Buffer2<T>{
	public ArrayList<T> lruBuffer;
	int maxSize;
	public Buffer2(int size){
		lruBuffer = new ArrayList<T>();
		maxSize = size;
	}
	/**
	 * returns true if page has to be read from disk, false if page is in buffer
	 * @param page
	 * @return
	 */
	public boolean add(T page){
		if(lruBuffer.contains(page)){
			lruBuffer.remove(page);
			lruBuffer.add(page);
			return false;
		}else
			lruBuffer.add(page);
		if(lruBuffer.size()>maxSize)
			lruBuffer.remove(0);
		return true;
	}
	
	public void clear(){
	  lruBuffer.clear();
	}
}
